## org.h2.store
Class LobStorage.RemoteInputStream

    java.lang.Object
      java.io.InputStream
          org.h2.store.LobStorage.RemoteInputStream

All Implemented Interfaces:
  java.io.Closeable

Enclosing class:
  LobStorage

    public static class LobStorage.RemoteInputStream

extends java.io.InputStream

An input stream that reads from a remote LOB.

Constructor Summary
`LobStorage.RemoteInputStream(DataHandler handler, long lob, byte[] hmac, long byteCount)`

Method Summary
`int` `read()`
`int` `read(byte[] buff)`
`int` `read(byte[] buff, int off, int length)`
`long` `skip(long n)`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LobStorage.RemoteInputStream

    public LobStorage.RemoteInputStream(DataHandler handler,
                                        long lob,
                                        byte[] hmac,
                                        long byteCount)

Method Detail

### read

    public int read()
             throws java.io.IOException

  Specified by:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] buff)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### read

    public int read(byte[] buff,
                    int off,
                    int length)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`
  Throws:
    `java.io.IOException`

### skip

    public long skip(long n)

  Overrides:
    `skip` in class `java.io.InputStream`